Bug 164301 - Filter Albums sub-tree names too, when using quickfilter on icon view
Summary: Filter Albums sub-tree names too, when using quickfilter on icon view
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-Filters (show other bugs)
Version: unspecified
Platform: Mandriva RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-17 15:50 UTC by Fri13
Modified: 2012-08-06 09:04 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.4


Attachments
patch #1 (648 bytes, patch)
2008-06-17 15:55 UTC, Andi Clemens
Details
patch #1 (648 bytes, patch)
2008-06-17 15:55 UTC, Andi Clemens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fri13 2008-06-17 15:50:45 UTC
Version:            (using KDE 3.5.9)
Installed from:    Mandriva RPMs
OS:                Linux

Currently when "View > Include Albums Sub-Tree" is ON and user has main album open what includes multiple sub-albums, the icon view filter does not filter search results from album names, only from photos and tags etc.

Expand this functionality so when typing to filter path, it is going to be searched from photos and sub-albums names too.
Comment 1 Andi Clemens 2008-06-17 15:55:03 UTC
Created attachment 25407 [details]
patch #1

Gilles,

what do you think? Can we add this to the final release...? This is really a
little patch that doesn't break anything.
Comment 2 Andi Clemens 2008-06-17 15:55:04 UTC
Created attachment 25408 [details]
patch #1

Gilles,

what do you think? Can we add this to the final release...? This is really a
little patch that doesn't break anything.
Comment 3 caulier.gilles 2008-06-17 16:00:31 UTC
Andi,

Agree. Go ahead.

Gilles
Comment 4 Andi Clemens 2008-06-17 16:05:09 UTC
Yes Sir... :-)
Comment 5 Andi Clemens 2008-06-17 16:10:10 UTC
SVN commit 821448 by aclemens:

Album names are searched as well now when using the quickfilter.

BUG:164301

 M  +1 -0      NEWS  
 M  +4 -1      digikam/albumlister.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=821448
Comment 6 caulier.gilles 2008-06-17 16:36:06 UTC
SVN commit 821456 by cgilles:

backport commit #821448 from KDE3 branch
CCBUGS: 164301


 M  +6 -1      albumlister.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=821456
Comment 7 caulier.gilles 2008-06-19 14:01:03 UTC
Andi, 

I have found a little problem with your patch : the album titles will be filtered only if this condition is true : 

if (settings->getIconShowName()) 
{
}

... getIconShowName() is return true if icon item name is displayed on iconview (file name in fact). This is not related to album title.

This is want mean than album titles will be filtered only when file names are displayed on icon-view. To solve this problem you just need to move album titles filtering code outside this conditional section.

Gilles

Comment 8 Andi Clemens 2008-06-19 14:42:01 UTC
So the quickfilter for text search only works when the filename, caption or tags are displayed in the thumbnail item? Maybe this should be mentioned somewhere, because if you don't display those fields, the search will always fail and some users might be confused.
I don't know but do we really need to check on those special cases? Like only filter for filename if filename is also displayed?
But as for the specific problem you are right of course, I need to move this line somewhere else.
Comment 9 Andi Clemens 2008-06-19 14:54:17 UTC
SVN commit 822181 by aclemens:

fixed searching for folder names

CCBUGS:164301

 M  +6 -2      albumlister.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=822181
Comment 10 caulier.gilles 2008-06-19 15:15:04 UTC
SVN commit 822187 by cgilles:

backport commit #822181 from KDE3 branch 
CCBUGS: 164301


 M  +7 -4      albumlister.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=822187
Comment 11 Arnd Baecker 2008-06-19 15:25:30 UTC
> So the quickfilter for text search only works when the filename, caption or tags are displayed in the thumbnail item? Maybe this should be mentioned somewhere, because if you don't display those fields, the search will always fail and some users might be confused.
> I don't know but do we really need to check on those special cases? Like only filter for filename if filename is also displayed?


I am also not sure about this. I.e. the quick filter could always
work, even if filename/caption or tag are not displayed.
Conceptually this is the difference between filtering
according to the "properties" of an image, or according
to what is displayed. Maybe the first is more natural?
(For example for more than a few tags, they are not visible anyway
due to lack of space....)

Best, Arnd
Comment 12 Andi Clemens 2008-06-19 15:34:15 UTC
Also if displaying tags, filenames and tags all together is turned off, the quick filter for text search becomes disabled (visually). But if you don't know why this is happening, some might think this is a bug.